org.activiti.engine.task

## Class TaskInfoQueryWrapper

- java.lang.Object
- - org.activiti.engine.task.TaskInfoQueryWrapper

-     public class TaskInfoQueryWrapper
      extends Object

  This is a helper class to help you work with the `TaskInfoQuery`, without having to care about the awful generics. Example usage: TaskInfoQueryWrapper taskInfoQueryWrapper = new TaskInfoQueryWrapper(taskService.createTaskQuery()); List taskInfos = taskInfoQueryWrapper.getTaskInfoQuery().or() .taskNameLike("%task%") .taskDescriptionLike("%blah%"); .endOr() .list(); First line can be switched to TaskInfoQueryWrapper taskInfoQueryWrapper = new TaskInfoQueryWrapper(historyService.createTaskQuery()); and the same methods can be used on the result.
  Author:
    Joram Barrez

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TaskInfoQuery<? extends TaskInfoQuery<?,?>,? extends TaskInfo>` | `taskInfoQuery`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskInfoQueryWrapper(TaskInfoQuery<? extends TaskInfoQuery<?,?>,? extends TaskInfo> taskInfoQuery)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskInfoQuery<? extends TaskInfoQuery<?,?>,? extends TaskInfo>` | `getTaskInfoQuery()`
    `void` | `setTaskInfoQuery(TaskInfoQuery<? extends TaskInfoQuery<?,?>,? extends TaskInfo> taskInfoQuery)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### taskInfoQuery

          protected TaskInfoQuery<? extends TaskInfoQuery<?,?>,? extends TaskInfo> taskInfoQuery

  - ### Constructor Detail

    - #### TaskInfoQueryWrapper

          public TaskInfoQueryWrapper(TaskInfoQuery<? extends TaskInfoQuery<?,?>,? extends TaskInfo> taskInfoQuery)

  - ### Method Detail

    - #### getTaskInfoQuery

          public TaskInfoQuery<? extends TaskInfoQuery<?,?>,? extends TaskInfo> getTaskInfoQuery()

    - #### setTaskInfoQuery

          public void setTaskInfoQuery(TaskInfoQuery<? extends TaskInfoQuery<?,?>,? extends TaskInfo> taskInfoQuery)

Copyright © 2016 Alfresco. All rights reserved.